import 'dart:io';

import 'package:daily_programmer_client_dart/src/util/app_logger.dart';

/// Directory wrapper.
class DirWrap {
  /// Public instance of static DirWrap.
  static DirWrap wrap = new DirWrap._();

  DirWrap._();

  /// Create dir to [destination]. Throws StateError if
  /// destination exists. Folder will be created if not exists.
  void copy(String destination, {bool dryRun = false}) {
    final dir = new Directory(destination);

    AppLogger.log.warning('$destination exist.');
    if (dir.existsSync()) return;

    AppLogger.log.info('Saving $destination');
    if (!dryRun) dir.createSync(recursive: true);
  }
}
